Bug 179959 - kernel causes init to segfault during boot
kernel causes init to segfault during boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 21:05 EST by Ben
Modified: 2015-01-04 17:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben 2006-02-03 21:05:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
kernel-smp-2.6.14-1.1656 works perfectly. When I boot with kernel-smp-2.6.15-1.1830, init segfaults during the boot process. The same thing happens when I boot the non-smp version of this kernel.

The problem appears to happen as the system's root drive is being mounted. My system's root drive is ext3, on an LVM2 volume, on an adaptec 2610sa raid card.

The last line after "unmounting old /sys" before init fills up the buffer with segfaults is something like "aacraid: Host adapter reset request. SCSI hung?". After that, the buffer immediately fills up with the repeating indentical line: "init[1] segfault at 0000000000418037 rip 0000000000418037 rsp 00007ffffff97258 error 14"

Both of my x86_64 machines have this problem. Before this kernel RPM came out, both had been upgraded to the most recent packages in the default FC4 repositories.

Both machines are running opteron 165's with 4GB of ram, and both have all their storage on an adaptec 2610sa raid card.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1830

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.6.15-1.1830
2. Boot
3. Watch the screen fill with segfaults.
  

Additional info:
Comment 1 Ben 2006-02-24 01:04:55 EST
FWIW, the default kernel in the FC5t3 branch does not have this issue.
Comment 2 Dave Jones 2006-09-16 21:39:55 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 16:22:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:37:30 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.